package de.hottis.MeasurementCollector;

import java.util.TimerTask;

public class TriggerTimer extends TimerTask {
	private ITriggerable triggerable;

	public TriggerTimer(ITriggerable triggerable) {
		this.triggerable = triggerable;
	}
	
	public void run() {
		triggerable.trigger();
	}
}
